Page MenuHomePhabricator

Conduit-created task always results in [Reopened] tag in the email subject
Closed, ResolvedPublic

Description

When creating a new task using maniphest.createtask, whether in code or via online Conduit form, the email notification subject always says "Reopened". For example, I just created T6225 using Conduit form on this site and the email I got had this subject:

[Maniphest] [Reopened] T6225: Test Conduit Task 2

Man, now I wish I created THIS task that way - that would be so meta :)

Event Timeline

svemir created this task.Oct 1 2014, 7:56 PM
svemir raised the priority of this task from to Needs Triage.
svemir updated the task description. (Show Details)
svemir added projects: Conduit, Maniphest.
svemir added a subscriber: svemir.
epriestley triaged this task as Low priority.Oct 2 2014, 7:40 PM
epriestley added a subscriber: epriestley.

I poked at this for about 30 seconds but it's not a completely trivial fix.

chasemp added a subscriber: chasemp.

In ManiphestTransaction::getActionName, why is TYPE_TITLE the case with the if ($old === null) return pht('Created'); check, instead of TYPE_STATUS?

angie added a project: Restricted Project.Nov 11 2015, 7:45 AM
angie added subscribers: angie, jhurwitz.
epriestley moved this task from Backlog to vNext on the Maniphest board.Dec 4 2015, 7:33 PM
epriestley closed this task as Resolved.Dec 4 2015, 8:04 PM
epriestley claimed this task.

Task creation slightly ahead of HEAD through maniphest.edit now hit essentially the exact same code as the web UI, and no longer appear to do this "[Reopened]" stuff.

We will deprecate and eventually remove maniphest.createtask and maniphest.update once maniphest.edit stabilizes.

angie moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Dec 5 2015, 5:06 AM
angie moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Apr 21 2016, 10:22 PM